﻿@model SYM.DataAccessLayer.mountain

@{
    ViewBag.Title = "Mountain - Add new peak...";
    Layout = null;
}

<div class="portlet-body form">
    <!-- BEGIN FORM-->
    @using (Html.BeginForm(Html.BeginForm("Create", "Mountain", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { id = "formModal", name = "formModal", @class = "form-horizontal" })))
    {
        @Html.ValidationSummary(true)
        @Html.HiddenFor(model => model.id)

            <div class="">
                @*<div class="form-body">*@
                @*<h4 class="form-section">Info Localization</h4>*@
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Nome montagna <span class="required" aria-required="true">*</span></label>
                            <div class="col-md-8">
                                @Html.TextBoxFor(model => model.mntn_name, new { @id = "mntn_name", @class = "form-control", required = "required" })
                                @Html.ValidationMessageFor(model => model.mntn_name)
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Altitudine m.</label>
                            <div class="col-md-8">
                                @Html.TextBox("altitude", null, new { @class = "form-control", type = "number" })
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Country</label>
                            <div class="col-md-8">
                                <select name="countries" id="select2_sample_modal_2" class="form-control select2me" required>
                                    <option value="116">Italy</option>
                                    <option value="217">Swiss</option>
                                    <option value="15">Austria</option>
                                    <option value="65">Francia</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Region <span class="required" aria-required="true">*</span></label>
                            <div class="col-md-8">
                                <select id="mntRegion" name="region" class="form-control select2">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Mountain Range</label>
                            <div class="col-md-8">
                                <select id="mntRange" name="mntRange" class="form-control select2">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Mountain Group</label>
                            <div class="col-md-8">
                                <select id="mntGroup" name="mntGroup" class="form-control select2">
                                    <option value=""></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <!--/span-->
                </div>
                <!--/row-->
                <div class="row margin-bottom-10 form-group">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Indirizzo Meta</label>
                            <div class="col-md-8">
                                <input type="text" class="form-control" id="gmap_geocoding_address" placeholder="address...">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="control-label col-md-4">Coordinate</label>
                            <div class="col-md-4">
                                <input type="text" class="form-control" id="gmap_lat" name="latitude" placeholder="latitude">
                            </div>
                            <div class="col-md-4">
                                <input type="text" class="form-control" id="gmap_lng" name="longitude" placeholder="longitude">
                            </div>
                            @*<div class="col-md-1">
                                <span class="input-group-btn">
                                    <button class="btn blue" id="gmap_geocoding_btn"><i class="fa fa-search"></i></button>
                                </span>
                            </div>*@
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div id="gmap_geocoding" class="gmaps" style="height:150px;">
                        </div>
                    </div>
                </div>
            </div>
    }
    <!-- END FORM-->
</div>



<script type="text/javascript">

    var InitSelect2Modal = function () {

        //Initialize Select DropDown
        $('.select2me').select2({
            allowClear: true,
            width: null
        });

        //Reset Selection
        //$('.select2me').val(null).trigger("change");

        //$('#mntn_name').on("select2-selecting", function (e) {
        //    // what you would like to happen
        //    $('#mntRange').select2('enable', false);
        //    $('#mntGroup').select2('enable', false);
        //});

        MyApp.Select2Region('#mntRegion', '/api/autocomplete/GetRegion', 'Regione');
        MyApp.Select2LookupSym('#mntRange', '/api/autocomplete/GetMntnRange', '#country', '#region', 'Select Mountain Range...');
        MyApp.Select2LookupSym('#mntGroup', '/api/autocomplete/GetMntnGroup', '#country', '#region', 'Select Mountain Group...');
    }

    var mapGeocoding = function () {

        var map = new GMaps({
            div: '#gmap_geocoding',
            lat: -12.043333,
            lng: -77.028333
        });

        var handleAction = function () {
            var text = $.trim($('#gmap_geocoding_address').val());
            GMaps.geocode({
                address: text,
                callback: function (results, status) {
                    if (status == 'OK') {
                        var latlng = results[0].geometry.location;
                        $('#gmap_lat').val(latlng.lat());
                        $('#gmap_lng').val(latlng.lng());
                        map.setCenter(latlng.lat(), latlng.lng());
                        map.addMarker({
                            lat: latlng.lat(),
                            lng: latlng.lng(),
                            draggable: true,
                            outside: function (marker) {
                                alert('This marker has been moved outside of its fence');
                            }
                        });
                        App.scrollTo($('#gmap_geocoding'));
                    }
                }
            });
        }

        $('#gmap_geocoding_btn').click(function (e) {
            e.preventDefault();
            handleAction();
        });

        $("#gmap_geocoding_address").keypress(function (e) {
            var keycode = (e.keyCode ? e.keyCode : e.which);
            if (keycode == '13') {
                e.preventDefault();
                handleAction();
            }
        });

    }

    setTimeout(function () {
        InitSelect2Modal();
        mapGeocoding();
    }, 400);

    $('.modal-title').html("@ViewBag.Title");

</script>
